from setuptools import setup, find_packages

VERSION = '1.0.0'

setup(
    name='shinkansen-python',
    version=VERSION,
    author='Justin Patrin',
    author_email='jpatrin@skyhighnetworks.com',
    maintainer='Justin Patrin',
    maintainer_email='jpatrin@skyhighnetworks.com',
    description='A bullet train for your data',
    long_description="""
        Migrates data from MySQL to crate or MySQL as efficiently as possible.
        Supports delta migrations based on timestamp columns.
    """,
    packages=find_packages(),
    install_requires=[
        # Tested versions of all packages installed
        'amqp==1.4.9',
        'aniso8601==1.1.0',
        'anyjson==0.3.3',
        'appdirs==1.4.0',
        'argh==0.26.1',
        'Babel==2.2.0',
        'backports.ssl-match-hostname==3.5.0.1',
        'billiard==3.3.0.22',
        'celery==3.1.20',
        'certifi==2015.11.20.1',
        'colorama==0.3.6',
        'coverage==4.0.3',
        'crash==0.15.0',
        'crate==0.13.6',
        'docopt==0.6.2',
        'docutils==0.12',
        'enum34==1.1.2',
        'eventlet==0.18.2',
        'Flask==0.10.1',
        'Flask-RESTful==0.3.5',
        'flower==0.8.4',
        'funcsigs==0.4',
        'futures==3.0.4',
        'greenlet==0.4.9',
        'hdfs==2.0.5',
        'itsdangerous==0.24',
        'Jinja2==2.8',
        'kombu==3.0.33',
        'lockfile==0.12.2',
        'MarkupSafe==0.23',
        'mock==1.3.0',
        'mox==0.5.3',
        'mysql-connector-python-rf==2.1.3',
        'nose==1.3.7',
        'pathtools==0.1.2',
        'pbr==1.8.1',
        'prompt-toolkit==0.52',
        'psutil==3.4.2',
        'Pygments==2.1',
        'python-daemon==2.1.1',
        'python-dateutil==2.4.2',
        'pytz==2015.7',
        'PyYAML==3.11',
        'redis==2.10.5',
        'redlock==1.2.0',
        'requests==2.9.1',
        'retrying==1.3.3',
        'reversefold.util==1.15.2',
        'setproctitle==1.1.9',
        'six==1.10.0',
        'SQLAlchemy==1.0.11',
        'tornado==4.2',
        'urllib3==1.14',
        'watchdog==0.8.3',
        'wcwidth==0.1.6',
        'Werkzeug==0.11.3',
        'wheel==0.24.0',
    ],
    scripts=[
        'scripts/shinkansen_service.py',
        'scripts/shinkansen_trim_crate_data.py',
    ],
    url='https://github.com/skyhigh-networks/shinkansen',
)
